<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>|| Validate VPN || - LogsysWMS</title>
</head>

<body>
<?PHP
ini_set('max_execution_time', 350);
include ("../Conections/SecurityAccess.php");

			$Val_Usu=$_POST["txt_USU"];
			$ARR_Pass=$_POST["txt_PASS"];
			
			///////ENCRIPTAR CONTRASEÑA///////////
				$PassENC=sha1($ARR_Pass);
				///$Token = crypt($Val_Usu); //esta es sin base de codificación
				
			////Inicio Generación de Token
				$PreTo1 = substr(md5(rand()), 0, 10);
				$PreTo2 = substr(md5(rand()), 0, 10);
				$PreTo3 = substr(md5(rand()), 0, 5);
				$PreTo7 = substr(md5(rand()), 0, 5);
				$PreTo4=date("d");
				$PreTo5=date("m"); 
				$PreTo6=date("Y");  
				$Token = $PreTo1.$PreTo6.$PreTo2.$PreTo5.$PreTo3.$PreTo4.$PreTo7;
			////Fin Generación de Token		

				if ($Val_Usu=="")
				{
				echo "<script>alert('Favor de digítar tu nombre de usuario');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Login.php'>";
				}
				else
				{
				if ($ARR_Pass=="")
				{
				echo "<script>alert('Favor de digítar tu password');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
				}
				else
				{
				$sql = mysql_query("select * from tabla_usuarios where USUARION='$Val_Usu'");
						
				if (mysql_numrows($sql)==0) echo "";
				else{
				$registro=mysql_fetch_array($sql);
				}
				if (mysql_numrows($sql)>0)
				{
				$Arr_UsuNew=$registro["USUARION"];
				$ARR_PassNew=$registro["PASSWORD"];
				$ARR_Nom=$registro["NOMBRE"];
				$ARR_AP=$registro["APATERNO"];
				$ARR_AM=$registro["AMATERNO"];
				$ARR_Vige=$registro["VIGENCIA"];
				$ARR_Nivel=$registro["NIVEL"];
				$ARR_Cone=$registro["CONEXION"];
				$ARR_TEspe=$registro["TIEMPO_ESPERA"];
				}

				/////////////////////////////
				if ($Arr_UsuNew==$Val_Usu)
				{				
				if ($ARR_PassNew==$PassENC)
				{
		//////////////////EN ESTA SECCION SE REALIZAN LAS CONSULTAS EN LAS TABLAS: tabla_controlaccesos, tabla_controlsesiones Y tabla_ubloqueados///////
				
				///////////////////Identificar si el Usuario esta Bloqueado (FIRMADO)///////////////
				$sqlUB = mysql_query("select * from tabla_ubloqueados where USUARIO='$Arr_UsuNew'");
					if (mysql_numrows($sqlUB)==0) 
					{
					echo "";
					}
					else
					{
					$registroUB=mysql_fetch_array($sqlUB);
					}
					if (mysql_numrows($sqlUB)>0)
					{
					$EDBloqueo=$registroUB["ESTATUS"];
					$HDUBlo=$registroUB["H_EGRESO"];
					}
					if ($EDBloqueo=="BLOQUEADO")
					{
					
						/////IDENTIFICAR LA HORA ACTUAL Y COMPARARLA CON LA HORA DE BLOQUEO PARA VER SI YA ESTA PERMITIDO SU ACCESO TIEMPO CONFIGURADO 15 MIN////
						$HActuPC = strtotime('-15 minutes');
						$HaCompa = date('H:i:s', $HActuPC);
						
						
						if ($HaCompa>=$HDUBlo)
						{
							//echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Marco.php?TokenKP=$Token&UsuKP=$Arr_UsuNew&IdDAcce=$id_nuevoIICA'>";
							//////ELIMINA EL USUARIO BLOQUEADO PARA QUE PUEDA TENER ACCESO NUEVAMENTE//////////
							$sqlEUBA= "DELETE FROM tabla_ubloqueados WHERE USUARIO='$Arr_UsuNew'";
							$resultadoEUBA=mysql_query($sqlEUBA,$conexion) or die(mysql_error());
						}
						else
						{
					
						echo "<script>alert('ATENCIÓN:\\n\\nEl usuario esta bloqueado. Favor de corroborarlo.\\n\\nHa sido bloqueado a las $HDUBlo horas y por cuestiones de seguridad sera desbloqueado 15 minutos despues de la hora del bloqueo.');</script>";
						$IdenDeAcc= "DESACTIVADO";
						}
					
					}
				///////////////FIN Identificar si el Usuario esta Bloqueado (FIRMADO)///////////////
				
				///////////////////Identificar si el Usuario esta en sesion///////////////
				$sqlUES = mysql_query("select * from tabla_controlsewr where USUARIO='$Arr_UsuNew'");
					if (mysql_numrows($sqlUES)>0)
					{
					echo "<script>alert('ATENCIÓN:\\n\\nEl usuario que deseas ingresar, actualmente se encuenta en sesión.\\n\\nFavor de corroborarlo.');</script>";
					$IdenDeAcc= "DESACTIVADO";
					}
				///////////////FIN Identificar si el Usuario esta en sesion///////////////
				
				///////////////////IDENTIFICAR EL NUMERO DE LICENCIAS CONTRATADAS///////////////
					$sqlLC = mysql_query("select * from tabla_contratante");
						
					if (mysql_numrows($sqlLC)==0) echo "";
					else{
					$registroLC=mysql_fetch_array($sqlLC);
					}
					if (mysql_numrows($sqlLC)>0)
					{
					$LicContra=$registroLC["LIC_CONTRATADAS"];
					}
					
						/////////////////////CONSULTA EL TOTAL DE USUARIOS CONECTADOS/////////////////////////////////////////////////////
						$sqlSLC = mysql_query("select * from tabla_controlsewr",$conexion);
						$Concurrente = mysql_num_rows($sqlSLC);
						$Concurrente2=$Concurrente+1;
						/////////////////FIN CONSULTA EL TOTAL DE USUARIOS CONECTADOS/////////////////////////////////////////////////////
					
					if ($Concurrente2>$LicContra)
					{
						echo "<script>alert('ATENCIÓN:\\n\\nSe intenta exceder el número máximo de usuarios.\\nconcurrentes, porfavor verifique su esquema de\\nlicenciamiento.');</script>";
						$IdenDeAcc= "DESACTIVADO";
					}
					
				///////////////FIN IDENTIFICAR EL NUMERO DE LICENCIAS CONTRATADAS///////////////
				
				///////////////////IDENTIFICAR VIGENCIA DEL USUARIO//////////////////////////////
				$FeHoyVig=date("Y/m/d");

					if ($FeHoyVig>=$ARR_Vige)
					{
						echo "<script>alert('ATENCIÓN:\\n\\nEl usuario que deseas ingresar ha caducado.\\n\\nFavor de corroborarlo con el administrador del sistema.');</script>";
						$IdenDeAcc= "DESACTIVADO";
					}
				
				///////////////////IDENTIFICAR VIGENCIA DEL USUARIO//////////////////////////////
				
				///////////////////IDENTIFICAR SI EL USUARIO ES DE WEB REPORT//////////////////////////////

					if ($ARR_Nivel<>"06")
					{
						echo "<script>alert('ATENCIÓN:\\n\\nEl usuario que deseas ingresar esta destinado al WEB REPORT.\\n\\nFavor de corroborarlo.');</script>";
						$IdenDeAcc= "DESACTIVADO";
					}
				
				///////////////////FIN IDENTIFICAR SI EL USUARIO ES DE WEB REPORT//////////////////////////////
									
					if ($IdenDeAcc<>"DESACTIVADO")
					
						{ ////INICIA If identificador de acceso
							
					 //////HORA y FECHA/////
						$Hora=time();
						$HoraOK=date("H:i:s",$Hora);
						$Fecha=date("Y/m/d");
						
				///////////Ingresar registro de acceso en la TABLA: tabla_controlaccesos/////////////////////////
				
					///////GENERADOR DE FOLIO TABLA: tabla_controlaccesos///////////
					$sqlIICA = "select max(ID) as ultimo_FOLIOIICA  from tabla_controlaccesos"; 
					$libIICA  = mysql_query($sqlIICA); 
					$rs_libIICA  = mysql_fetch_assoc($libIICA); 
					$id_nuevoIICA  = $rs_libIICA ['ultimo_FOLIOIICA'] + 1;
					
					$sqlIICA = "insert into tabla_controlaccesos (ID,USUARIO,F_ACCESO,H_ACCESO,F_EGRESO,H_EGRESO)
       				values('$id_nuevoIICA','$Arr_UsuNew','$Fecha','$HoraOK','0','0')";

					$resultadoIICA=mysql_query($sqlIICA,$conexion) or die(mysql_error());
				
				//////FIN Ingresar registro de acceso en la TABLA: tabla_controlaccesos/////////////////////////
				
				///////////Ingresar registro de SESION en la TABLA: tabla_controlsesiones/////////////////////////
				
					///////GENERADOR DE FOLIO TABLA: tabla_controlsesiones///////////
					$sqlIICS = "select max(ID) as ultimo_FOLIOIICS  from tabla_controlsewr"; 
					$libIICS  = mysql_query($sqlIICS); 
					$rs_libIICS  = mysql_fetch_assoc($libIICS); 
					$id_nuevoIICS  = $rs_libIICS ['ultimo_FOLIOIICS'] + 1;
					
					$sqlIICS = "insert into tabla_controlsewr (ID,USUARIO,F_ACCESO,H_ACCESO)
       				values('$id_nuevoIICS','$Arr_UsuNew','$Fecha','$HoraOK')";

					$resultadoIICS=mysql_query($sqlIICS,$conexion) or die(mysql_error());
				
				//////FIN Ingresar registro de SESION en la TABLA: tabla_controlsesiones/////////////////////////
				
				///////////Ingresar registro de BLOQUEO en la TABLA: tabla_ubloqueados/////////////////////////
				
					///////GENERADOR DE FOLIO TABLA: tabla_controlaccesos///////////
					$sqlIIUB = "select max(ID) as ultimo_FOLIOIIUB  from tabla_ubloqueados"; 
					$libIIUB  = mysql_query($sqlIIUB); 
					$rs_libIIUB  = mysql_fetch_assoc($libIIUB); 
					$id_nuevoIIUB  = $rs_libIIUB ['ultimo_FOLIOIIUB'] + 1;
					
					$sqlIIUB = "insert into tabla_ubloqueados (ID,USUARIO,F_ACCESO,H_ACCESO,F_EGRESO,H_EGRESO,ESTATUS)
       				values('$id_nuevoIIUB','$Arr_UsuNew','$Fecha','$HoraOK','0','0','EN SESION')";

					$resultadoIIUB=mysql_query($sqlIIUB,$conexion) or die(mysql_error());
				
				//////FIN Ingresar registro de SESION en la TABLA: tabla_controlsesiones/////////////////////////
				
		/////////////FIN EN ESTA SECCION SE REALIZAN LAS CONSULTAS EN LAS TABLAS: tabla_controlaccesos, tabla_controlsesiones Y tabla_ubloqueados///////
		
				////Acreditar el Tipo de Plataforma (MONOCUENTA  &&  MULTICUELTA)
				
				$sqlP1 = mysql_query("select * from wms_configura_tipoplataforma where ID='1'");
				if (mysql_numrows($sqlP1)==0) echo "";
				else{
				$registroP1=mysql_fetch_array($sqlP1);
				}
				if (mysql_numrows($sqlP1)>0)
				{
				$TPlataformaP1=$registroP1["TIPO_PLATAFORMA"];
				}
				
				if ($TPlataformaP1<>"Multicuenta")
					{ ///Inicia If Monocuenta
						$CtaSesion = "PPG";					
						$NFAc=$ARR_Nom. ' '. $ARR_AP. ' '.$ARR_AM;
						echo "<script>alert('Bienvenido(a): $NFAc \\n\\nEsperamos tengas un buen día');</script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=IsMdiContainer.php?TokenKP=$Token&UsuKP=$Arr_UsuNew&IdDAcce=$id_nuevoIICA&CtaSKP=$CtaSesion&VPN=$ARR_Cone&LT=$ARR_TEspe'>";
					} ///Termina If Monocuenta
					else
					{ ///Inicia else Multicuenta
					
						if ($Arr_UsuNew=="wrEtapel" or $Arr_UsuNew=="wrErich")
						{ ///Inicia If Monocuenta
							$CtaSesion = "ETAPEL";
						}
						
						if ($Arr_UsuNew=="wrMaliq")
						{ ///Inicia If Monocuenta
							$CtaSesion = "MALIQ";
						}

						if ($Arr_UsuNew=="wrIngredion")
						{ ///Inicia If Monocuenta
							$CtaSesion = "INGREDION";
						}

						if ($Arr_UsuNew=="wrHCD")
						{ ///Inicia If Monocuenta
							$CtaSesion = "HOT-CHOCOLATE-DESIGN";
						}

						if ($Arr_UsuNew=="wrNutresa" or $Arr_UsuNew=="wrNutresa2")
						{ ///Inicia If Monocuenta
							$CtaSesion = "NUTRESA";
						}

						if ($Arr_UsuNew=="wrTate")
						{ ///Inicia If Monocuenta
							$CtaSesion = "TATE LYLE";
						}

						if ($Arr_UsuNew=="wrVileda")
						{ ///Inicia If Monocuenta
							$CtaSesion = "VILEDA";
						}


						if ($Arr_UsuNew=="wrWicore")
						{ ///Inicia If Monocuenta
							$CtaSesion = "WICORE";
						}

						if ($Arr_UsuNew=="wrLevSports" or $Arr_UsuNew=="wrSaul")
						{ ///Inicia If Monocuenta
							$CtaSesion = "LEV SPORTS";
						}

						if ($Arr_UsuNew=="wrAntBox")
						{ ///Inicia If Monocuenta
							$CtaSesion = "ANT BOX";
						}

						if ($Arr_UsuNew=="wrAqua")
						{ ///Inicia If Monocuenta
							$CtaSesion = "AQUA SAFE";
						}

						if ($Arr_UsuNew=="wrInterled")
						{ ///Inicia If Monocuenta
							$CtaSesion = "INTERLED";
						}

						if ($Arr_UsuNew=="wrNutricion")
						{ ///Inicia If Monocuenta
							$CtaSesion = "NUTRICION-AVANZADA";
						}

						if ($Arr_UsuNew=="wrWicoreMix")
						{ ///Inicia If Monocuenta
							$CtaSesion = "WICORE-MIX";
						}

						if ($Arr_UsuNew=="wrMaderKit")
						{ ///Inicia If Monocuenta
							$CtaSesion = "MADERKIT";
						}						

						
						if ($Arr_UsuNew=="Reportes")
						{ ///Inicia If Monocuenta
							echo "<script>alert('El Usuario con el cual Intentas Acceder al Sistema de Reportes no corresponde a un Cliente.\\n\\nFavor de Corroborarlo.');</script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Login.php'>";
							exit();
						}

						
						$NFAc=$ARR_Nom. ' '. $ARR_AP. ' '.$ARR_AM;
						echo "<script>alert('Bienvenido(a): $NFAc \\n\\nEsperamos tengas un buen día');</script>";
						///echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=IsMdiContainerSC.php?TokenKP=$Token&UsuKP=$Arr_UsuNew&IdDAcce=$id_nuevoIICA&VPN=$ARR_Cone&LT=$ARR_TEspe'>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=IsMdiContainer.php?TokenKP=$Token&UsuKP=$Arr_UsuNew&IdDAcce=$id_nuevoIICA&CtaSKP=$CtaSesion&VPN=$ARR_Cone&LT=$ARR_TEspe'>";
					} ///Termina else Multicuenta
				
				} ////TERMINA If identificador de acceso
					else
					{
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Login.php'>";
					}
				}
				else 
				{ 
				echo "<script>alert('El password es incorrecto');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Login.php'>";
				} 
				}
				else 
				{  
				echo "<script>alert('El usuario es incorrecto');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Login.php'>";
				}
				} 
				}
				
?>
</body>
</html>
